Subject: Re[2]: [PATCH] katmai.dts: extend DMA ranges; add dma/sysace nodes

From: Yuri Tikhonov <[email-masked]>
Date: Fri, 14 Nov 2008 08:27:25 +0300

=0D=0AHello Grant,

On Friday, November 14, 2008 you wrote:

> On Thu, Nov 13, 2008 at 06:45:33AM -0500, Josh Boyer wrote:
>> On Thu, 13 Nov 2008 11:49:14 +0300
>> Yuri Tikhonov <[email-masked]> wrote:
>> > +           sysacecf@4fe000000 {
>> > +                   compatible =3D "xlnx,opb-sysace-1.00.b";
>>=20
>> Odd.  This isn't a xilinx board by any means.  This should probably
>> look something like:
>>=20
>>       compatible =3D "amcc,sysace-440spe", "xlnx,opb-sysace-1.00.b";

> Actually, if there is a sysace, it is definitely a xilinx part.  It
> won't be on the SoC.  However, compatible =3D "xlnx,opb-sysace-1.00.b"
> isn't really accurate.  It should really be compatible =3D "xlnx,sysace"
> and the driver modified to accept this string.

 OK, we'll do this, and then re-post together with the cleaned-up=20
"[PATCH] xsysace: use resource_size_t instead of unsigned long" patch.

>   "xlnx,opb-sysace-1.00.b"
> is an FPGA block used to interface to the system ace which is
> definitely not in use here.

> So while it does get things to work, it is not a clean description of
> the hardware.

> g.

 Regards, Yuri

 --
 Yuri Tikhonov, Senior Software Engineer
 Emcraft Systems, www.emcraft.com